@import '../../../../../../scss/variables.scss';
@import "../../../../../../../node_modules/bulma/sass/utilities/_all.sass";

.resource-item {
  display: grid;
  grid-auto-rows: auto;
  grid-template-columns: 1fr;
  grid-row-gap: 1.5rem;
  grid-column-gap: 1rem;
}

// Defined the named areas
.layer-name {
  display: flex;
  align-items: center;
  margin-bottom: 1rem;

  span {
    font-size: 1rem;
    font-weight: 600;
    line-height: 1;
    word-break: break-all;
  }
}

.root-url {
  border-bottom: 2px solid $grey-background-color;
  padding-bottom: 1.5rem;
}

.root-url-label {
  text-transform: uppercase;
}

@media screen and (min-width: $tablet) {
  .dropdown-trigger button {
    width: 12rem;
  }
}

.no-custom-url {
  span {
    color: $warning-color;
  }
}

.title-label {
  margin-bottom: 0.4rem;

  span,
  label {
    color: $grey-dark-color;
    font-size: 0.875rem;
    line-height: 1.4;
  }
}

.fromFeature-item {

  .input {
    width: unset;
  }
}

.parameters-url {
  word-break: break-all;
}

.create-request {
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: space-between;

  /* stylelint-disable-next-line */
  span:first-of-type {
    // font-weight: 600;
    text-transform: uppercase;
  }
}

.maxFeatures-item {

  // Remove Bulma default 100% width
  .input {
    width: unset;
  }

  .warning {
    margin-top: 0.5rem;

    /* stylelint-disable-next-line */
    span {
      color: $warning-color;
    }
  }
}

.personnalized-url {
  flex-wrap: wrap;
  align-items: stretch;

  .link-with-copy {
    align-items: flex-start;
    flex-wrap: wrap;
    justify-content: space-between;

    @media screen and (min-width: $tablet) {
      flex-wrap: nowrap;
      justify-content: unset;
    }

    @media screen and (max-width: $tablet) {

      .button {
        margin-top: 0.5rem;
        margin-left: 0;
      }
    }

    .resource-download-icon,
    .tooltip {
      margin-left: 0;
      margin-top: 0.5rem;
      height: 3.5rem;
      flex-grow: 1;

      @media screen and (min-width: $tablet) {
        width: 2.5rem;
        height: 2.5rem;
        margin-top: 0;
      }
    }
  }
}

.icon {
  cursor: pointer;
  // Make icon clickable
  pointer-events: initial !important;
}

.tooltip {
  cursor: pointer;
}

h3 {
  margin-top: 0;
}

.dropdown-menu {
  height: 2.5rem;
}

.dropdown-insee {
  .dropdown-menu {
    height: 200px;
    max-height: 200px;
    overflow-y: scroll;
    overflow-x: hidden;
  }
}

/* stylelint-disable-next-line */
.dropdown-trigger .button {
  justify-content: space-between;

  svg {
    width: 1rem;
    height: 0.6rem;
  }
}

.resource-title {
  cursor: pointer;
  font-weight: 500;
}

.full-line-resource {
  border-bottom: 1px solid white;
}

.collapsible {
  overflow: hidden;
  max-height: 0;
  padding-top: 0;
  padding-bottom: 0;
}

.countFeatures {
  display: flex;
  align-items: center;
}

.allFeatures {
  display: flex;
  align-items: center;
  margin-left: 0.5rem;

  label {
    font-weight: 400;
  }
}

.is-checkradio[type="checkbox"] + label {
  padding: unset;
  padding-left: 1.75rem;
}

// grid for mobile
.layer-name,
.root-url,
.no-custom-url,
.division-item,
.projection-item,
.fromFeature-item,
.format-item {
  grid-column: 1 / 2;
}


// Mobile: dropdown displays at 100%.
.dropdown,
.dropdown-trigger,
.dropdown-trigger button,
.dropdown-menu,
.dropdown-content {
  width: 100%;
}

// Remove Bulma default 100% width for tablet and desktop
@media screen and (min-width: $tablet) {

  .dropdown,
  .dropdown-trigger,
  .dropdown-trigger button,
  .dropdown-menu,
  .dropdown-content {
    // width: unset;
    max-width: 350px;
  }
}


// Grid for tablet-desktop sizes
@media screen and (min-width: $tablet) {
  .resource-item {
    grid-template-columns: 1fr 1fr;
  }

  .layer-name {
    grid-column: 1 / 3;
  }

  .root-url {
    grid-column: 1 / 3;
  }

  .format-item {
    grid-column: 1 / 2;
  }

  .projection-item {
    grid-column: 2 / 3;
  }

  .division-item {
    grid-column: 1 / 2;
  }

  .no-custom-url {
    grid-column: 1 / 3;
  }

  .fromFeature-item {
    grid-column: 2 / 3;
  }

  .create-request {
    cursor: pointer;
    grid-column: 1 / 3;
  }

  .maxFeatures-item {
    grid-column: 1 / 2;
  }


  .personnalized-url {
    grid-column: 1 / 3;
  }
}
